petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPMonitorSetFromOptions(KSP ksp,const char name[],const char help[], const char manual[],PetscErrorCode (*monitor)(KSP,PetscInt,PetscReal,PetscViewerAndFormat*))

Collective on KSP

### Input Parameters

| ksp | - KSP object you wish to monitor
| name | - the monitor type one is seeking
| help | - message indicating what monitoring is done
| manual | - manual page for the monitor
| monitor | - the monitor function, the context for this object is a PetscViewerAndFormat

### See Also

PetscOptionsGetViewer(), PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool() PetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

Level:developer
Location:src/ksp/ksp/interface/itcl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages